# Uses of Interface
org.springframework.core.env.PropertySources

Packages that use PropertySources
Package
Description
org.springframework.core.env
Spring's environment abstraction consisting of bean definition profile and hierarchical property source support.

## Uses of PropertySources in org.springframework.core.env

Classes in org.springframework.core.env that implement PropertySources
Modifier and Type
Class
Description
`class`
`MutablePropertySources`
The default implementation of the `PropertySources` interface.
Constructors in org.springframework.core.env with parameters of type PropertySources
Modifier
Constructor
Description
``
`MutablePropertySources(PropertySources propertySources)`
Create a new `MutablePropertySources` from the given propertySources object, preserving the original order of contained `PropertySource` objects.
``
`PropertySourcesPropertyResolver(PropertySources propertySources)`
Create a new resolver against the given property sources.